### Method

# Foundry Operation await

#### Declaration [src]

    DexFuture*
    foundry_operation_await (
      FoundryOperation* self
    )

#### Description [src]

Gets a `DexFuture` that resolves when the operation has cancelled or completed.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.